Description: Fix libvirtd config for TLS
Author: Thomas Goirand <zigo@debian.org>
Forwarded: no
Last-Update: 2023-04-12

Index: puppet-module-nova/manifests/migration/libvirt.pp
===================================================================
--- puppet-module-nova.orig/manifests/migration/libvirt.pp
+++ puppet-module-nova/manifests/migration/libvirt.pp
@@ -322,12 +322,8 @@
       $crl_file_real  = $facts['os_service_default']
     }
 
-    $libvirt_listen_config = $modular_libvirt ? {
-      true    => 'virtproxyd_config',
-      default => 'libvirtd_config'
-    }
-
-    create_resources( $libvirt_listen_config , {
+    # In Debian, we always want 'libvirtd_config'
+    create_resources( 'libvirtd_config' , {
       'auth_tls'  => { 'value' => $auth_tls_real,  'quote' => true },
       'auth_tcp'  => { 'value' => $auth_tcp_real,  'quote' => true },
       'key_file'  => { 'value' => $key_file_real,  'quote' => true },
